class AST::Array
  attr_reader :elements

  def initialize(elements)
    @elements = elements
  end

  def ==(other)
    other.is_a?(AST::Array) && other.elements == @elements
  end

  def execute(env)
    @elements.map { |el| el.execute(env) }
  end
end
