class AST::Atom
  attr_reader :value

  def initialize(value)
    @value = value
  end

  def ==(other)
    other.is_a?(AST::Atom) && other.value == @value
  end

  def execute(env)
    @value
  end
end
