class AST::Branch
  attr_reader :condition, :block

  def initialize(condition, block)
    @condition = condition
    @block = block
  end

  def ==(other)
    other.is_a?(AST::Branch) && other.condition == @condition &&
      other.block == @block
  end
end
